Bug 446973 - SELinux is preventing the cyphesis to create cyphesis.sock
SELinux is preventing the cyphesis to create cyphesis.sock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cyphesis (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 15:43 EDT by Alexey Torkhov
Modified: 2008-07-26 02:06 EDT (History)
0 users

See Also:
Fixed In Version: 0.5.15-8.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 00:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2008-05-16 15:43:10 EDT
Description of problem:
When starting cyphesis, selinux prevents it to create /var/tmp/cyphesis.sock:

host=nat.tortilla.ru type=AVC msg=audit(1210966352.851:242): avc: denied {
create } for pid=7049 comm="cyphesis" name="cyphesis.sock"
scontext=unconfined_u:system_r:cyphesis_t:s0
tcontext=unconfined_u:object_r:tmp_t:s0 tclass=sock_file host=nat.tortilla.ru 
type=SYSCALL msg=audit(1210966352.851:242): arch=40000003 syscall=102 success=no
exit=-13 a0=2 a1=bfb934c0 a2=68edac a3=bfb934da items=0 ppid=7048 pid=7049
auid=502 uid=493 gid=487 euid=493 suid=493 fsuid=493 egid=487 sgid=487 fsgid=487
tty=(none) ses=1 comm="cyphesis" exe="/usr/bin/cyphesis"
subj=unconfined_u:system_r:cyphesis_t:s0 key=(null) 

This, in turn, prevents world populating.

Version-Release number of selected component (if applicable):
cyphesis-0.5.15-6.fc9

How reproducible:
Always.
Comment 1 Fedora Update System 2008-06-06 13:41:35 EDT
cyphesis-0.5.15-7.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-06-09 23:12:32 EDT
cyphesis-0.5.15-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cyphesis'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5107
Comment 3 Fedora Update System 2008-06-14 00:20:14 EDT
cyphesis-0.5.15-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-07-26 02:06:24 EDT
cyphesis-0.5.15-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.